Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005468OCamlOCamlbuild (the tool)public2012-01-08 18:512012-09-16 22:44
Reporterdario 
Assigned Tomeyer 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.00.1+devFixed in Version 
Summary0005468: Ocamlbuild should preserve package order if there are no dependencies
DescriptionConsider packages foo, bar1, and bar2, where both bar1 and bar2 depend on foo. Moreover, bar2 should appear before bar1 when linking.

The problem is if Ocamlbuild is given the _tags file below, it will correctly put foo before bar1 and bar2, but it's also likely to change the order between bar1 and bar2, causing linking problems.

true: package(bar2), package(bar1), package(foo)

This sort of problem could be easily avoided if Ocamlbuild were to preserve the package order when there is no known dependency between packages.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006921)
xleroy (administrator)
2012-02-14 20:21

Sounds very reasonable. Xavier C, could you please try to confirm the issue and see where it comes from in the ocamlbuild sources? Thanks!
(0008038)
meyer (developer)
2012-09-10 04:45

Fixed in r12909.
(0008039)
meyer (developer)
2012-09-10 04:46

dario could you please double check if that's what you expect, fix is on trunk.

Thanks.
(0008064)
dario (reporter)
2012-09-11 14:22

Just checked a small dummy example with 4.01.0+dev8_2012-09-10. The order is now preserved indeed -- thanks! I still haven't been able to test it with the real world project which prompted my initial bug report though, because it depends on some external libraries which are not yet compatible with 4.00. Nevertheless, I assume it's safe to close this issue. If eventually I run into any problems I'll reopen it...

- Issue History
Date Modified Username Field Change
2012-01-08 18:51 dario New Issue
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)
2012-02-14 20:21 xleroy Note Added: 0006921
2012-02-14 20:21 xleroy Status new => acknowledged
2012-07-10 11:48 doligez Target Version => 4.01.0+dev
2012-07-31 13:36 doligez Target Version 4.01.0+dev => 4.00.1+dev
2012-09-04 19:37 meyer Assigned To => meyer
2012-09-04 19:37 meyer Status acknowledged => assigned
2012-09-10 04:45 meyer Note Added: 0008038
2012-09-10 04:46 meyer Note Added: 0008039
2012-09-10 04:46 meyer Status assigned => feedback
2012-09-11 14:22 dario Note Added: 0008064
2012-09-11 14:22 dario Status feedback => assigned
2012-09-16 22:44 meyer Status assigned => closed
2012-09-16 22:44 meyer Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker